shipink-logo-vector-svgDocumentation

Carriers

List all carriers available in the system.

List carriers

Returns all carriers available in the system.

GET
/carriers
AuthorizationBearer <token>

Authenticate using the access_token obtained from POST /token.

Format: Authorization: Bearer {access_token}

In: header

Response Body

application/json

curl -X GET "https://api.shipink.io/carriers"

{
  "success": true,
  "meta": {
    "status": 200,
    "message": "carriers successfully received"
  },
  "data": [
    {
      "id": "aras",
      "name": "Aras Kargo",
      "phone": "+904442552",
      "available_services": [
        "aras_standart"
      ]
    },
    {
      "id": "hepsijet",
      "name": "HepsiJET",
      "phone": "+908505580333",
      "available_services": [
        "hepsijet_standart"
      ]
    },
    {
      "id": "asset",
      "name": "Asset Global",
      "phone": "+908505580333",
      "available_services": [
        "asset_dpd",
        "asset_gls",
        "asset_dhl_europe",
        "asset_ups_europe",
        "asset_uk_economy",
        "asset_usps",
        "asset_fedex_hd",
        "asset_smsa"
      ]
    },
    {
      "id": "trendyol",
      "name": "Trendyol",
      "phone": "",
      "available_services": [
        "trendyol_texmp",
        "trendyol_arasmp",
        "trendyol_ykmp",
        "trendyol_suratmp",
        "trendyol_horozmp",
        "trendyol_dhlecommp",
        "trendyol_pttmp",
        "trendyol_cevamp",
        "trendyol_kolaygelsinmp",
        "trendyol_cevatedarik"
      ]
    }
  ]
}

How is this guide?